> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contactswing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Campaign

> Create a new campaign.

### Authorizations

<ParamField header="Authorization" type="string" required>
  Enter your ContactSwing JWT Bearer token.
</ParamField>

### Request Body

<ParamField path="name" type="string" required>
  Campaign display name
</ParamField>

<ParamField path="type" type="string">
  Campaign type.
</ParamField>

<ParamField path="business_goal" type="string">
  The business goal of the campaign.
</ParamField>

<ParamField path="company_plan_id" type="string">
  The company plan ID.
</ParamField>

<ParamField path="workspace_id" type="string">
  The workspace ID.
</ParamField>

### Response

**201 Created** - Campaign created successfully

<ResponseField name="ctx_id" type="string">Request context ID</ResponseField>

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">Campaign ID</ResponseField>
  <ResponseField name="name" type="string">Campaign name</ResponseField>
  <ResponseField name="status" type="string">Campaign status</ResponseField>
</ResponseField>

**400 Bad Request** - Invalid input
